summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMattes D <github@xoft.cz>2015-09-27 10:24:50 +0200
committerMattes D <github@xoft.cz>2015-09-27 13:57:17 +0200
commitc9f2b4e4df1ac0ff118fd70567cf9fef4e97c963 (patch)
treec5d9d20cbdc031114639a358096655550de04cfb
parentAPIDump: Added an apicheck command. (diff)
downloadcuberite-c9f2b4e4df1ac0ff118fd70567cf9fef4e97c963.tar
cuberite-c9f2b4e4df1ac0ff118fd70567cf9fef4e97c963.tar.gz
cuberite-c9f2b4e4df1ac0ff118fd70567cf9fef4e97c963.tar.bz2
cuberite-c9f2b4e4df1ac0ff118fd70567cf9fef4e97c963.tar.lz
cuberite-c9f2b4e4df1ac0ff118fd70567cf9fef4e97c963.tar.xz
cuberite-c9f2b4e4df1ac0ff118fd70567cf9fef4e97c963.tar.zst
cuberite-c9f2b4e4df1ac0ff118fd70567cf9fef4e97c963.zip
-rwxr-xr-xCIbuild.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/CIbuild.sh b/CIbuild.sh
index 8a91549ad..a6a4282a7 100755
--- a/CIbuild.sh
+++ b/CIbuild.sh
@@ -21,8 +21,19 @@ cd ..
echo "Building..."
make -j 2;
make -j 2 test ARGS="-V";
+
+echo "Testing..."
cd Server/;
if [ "$TRAVIS_CUBERITE_BUILD_TYPE" != "COVERAGE" ]; then
- echo restart | $CUBERITE_PATH;
- echo stop | $CUBERITE_PATH;
+ $CUBERITE_PATH << EOF
+load APIDump
+apicheck
+restart
+stop
+EOF
+ if [ -f ./NewlyUndocumented.lua ]; then
+ echo "ERROR: Newly undocumented API symbols found:"
+ cat ./NewlyUndocumented.lua
+ exit 1
+ fi
fi